require File.dirname(__FILE__) + '/../../../../../spec_helper'
include OpenEHR::RM::Common::Archetyped
include OpenEHR::RM::DataTypes::Text
include OpenEHR::RM::Support::Identification

describe Locatable do
  before(:each) do
    name = DvText.new(:value => 'problem/SOAP')
    link = stub(Set, :size => 10)
    id = UIDBasedID.new(:value => 'ehr::localhost/3030')
    @locatable = Locatable.new(:archetype_node_id => 'at001',
                               :name => name,
                               :link => link,
                               :id => id)
  end

  it 'should be_an_instance_of Locatable' do
    @locatable.should be_an_instance_of Locatable
  end

  it 'should raise ArgumentError with nil archetype_node_id' do
    lambda {
      @locatable.archetype_node_id = nil
    }.should raise_error ArgumentError
  end

  it 'should'
end
